﻿using EnvelopeCreatorProject.Models.Signers;
using System.Collections.Generic;
using EnvelopeCreatorProject.DocusignAPI;

namespace EnvelopeCreatorProject.Models
{
    public class EnvelopeData
    {
       public string MailSubject { get; set; }
       public string MailBody { get; set; }
       public List<DocusignDocument> Documents { get; set; }
       public List<Recipient> Recipients { get; set; }
       public List<Tab> Tabs { get; set; }
       public List<Tab> DateSignedFields { get; set; }
       public HostSigner Host { get; set; }
       public EnvelopeSettings EnvelopeSettings { get; set; }

        public EnvelopeData()
        {
            Documents = new List<DocusignDocument>();
            Recipients = new List<Recipient>();
            Tabs = new List<Tab>();
            DateSignedFields = new List<Tab>();
            Host = new HostSigner();
            EnvelopeSettings = new EnvelopeSettings();
        }
    }
}
    